## org.eclipse.emf.ocl.query
Interface QueryPackage

All Superinterfaces:
  EModelElement, ENamedElement, EObject, EPackage, Notifier

All Known Implementing Classes:
  QueryPackageImpl

Deprecated. The `Query` API is not an element of the OCL abstract syntax model.

    @Deprecated
    public interface QueryPackage

extends EPackage

The Package for the model. It contains accessors for the meta objects to represent

- each class,
- each feature of each class,
- each enum,
- and each data type

See Also:
  `QueryFactory`

Nested Class Summary
`static interface` `QueryPackage.Literals` Deprecated. Defines literals for the meta objects that represent each class, each feature of each class, each enum, and each data type

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage
`EPackage.Descriptor, EPackage.Registry`

Field Summary
`static String` `copyright` Deprecated.
`static QueryPackage` `eINSTANCE` Deprecated. The singleton instance of the package
`static String` `eNAME` Deprecated. The package name
`static String` `eNS_PREFIX` Deprecated. The package namespace name
`static String` `eNS_URI` Deprecated. The package namespace URI
`static int` `LIST` Deprecated. The meta object id for the 'List' data type
`static int` `QUERY` Deprecated. The meta object id for the '`Query`' class
`static int` `QUERY__EXPRESSION` Deprecated. The feature id for the 'Expression' reference
`static int` `QUERY__EXTENT_MAP` Deprecated. The feature id for the 'Extent Map' attribute
`static int` `QUERY_FEATURE_COUNT` Deprecated. The number of structural features of the 'Query' class

Method Summary
`EDataType` `getList()` Deprecated. Returns the meta object for data type '`List`'
`EReference` `getQuery_Expression()` Deprecated. Returns the meta object for the reference '`Expression`'
`EAttribute` `getQuery_ExtentMap()` Deprecated. Returns the meta object for the attribute '`Extent Map`'
`EClass` `getQuery()` Deprecated. Returns the meta object for class '`Query`'
`QueryFactory` `getQueryFactory()` Deprecated. Returns the factory that creates the instances of the model

Methods inherited from interface org.eclipse.emf.ecore.EPackage
`getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

Methods inherited from interface org.eclipse.emf.ecore.ENamedElement
`getName, setName`

Methods inherited from interface org.eclipse.emf.ecore.EModelElement
`getEAnnotation, getEAnnotations`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final String copyright

  Deprecated.

  See Also:
    Constant Field Values

### eNAME

    static final String eNAME

  Deprecated.
  The package name.

  See Also:
    Constant Field Values

### eNS_URI

    static final String eNS_URI

  Deprecated.
  The package namespace URI.

  See Also:
    Constant Field Values

### eNS_PREFIX

    static final String eNS_PREFIX

  Deprecated.
  The package namespace name.

  See Also:
    Constant Field Values

### eINSTANCE

    static final QueryPackage eINSTANCE

  Deprecated.
  The singleton instance of the package.

### QUERY

    static final int QUERY

  Deprecated.
  The meta object id for the '`Query`' class.

  See Also:
    `QueryImpl`, `QueryPackageImpl.getQuery()`, Constant Field Values

### QUERY__EXTENT_MAP

    static final int QUERY__EXTENT_MAP

  Deprecated.
  The feature id for the 'Extent Map' attribute.

  See Also:
    Constant Field Values

### QUERY__EXPRESSION

    static final int QUERY__EXPRESSION

  Deprecated.
  The feature id for the 'Expression' reference.

  See Also:
    Constant Field Values

### QUERY_FEATURE_COUNT

    static final int QUERY_FEATURE_COUNT

  Deprecated.
  The number of structural features of the 'Query' class.

  See Also:
    Constant Field Values

### LIST

    static final int LIST

  Deprecated.
  The meta object id for the 'List' data type.

  See Also:
    `List`, `QueryPackageImpl.getList()`, Constant Field Values

Method Detail

### getQuery

    EClass getQuery()

  Deprecated.
  Returns the meta object for class '`Query`'.

  Returns:
    the meta object for class 'Query'.
  See Also:
    `Query`

### getQuery_ExtentMap

    EAttribute getQuery_ExtentMap()

  Deprecated.
  Returns the meta object for the attribute '`Extent Map`'.

  Returns:
    the meta object for the attribute 'Extent Map'.
  See Also:
    `Query.getExtentMap()`, `getQuery()`

### getQuery_Expression

    EReference getQuery_Expression()

  Deprecated.
  Returns the meta object for the reference '`Expression`'.

  Returns:
    the meta object for the reference 'Expression'.
  See Also:
    `Query.getExpression()`, `getQuery()`

### getList

    EDataType getList()

  Deprecated.
  Returns the meta object for data type '`List`'.

  Returns:
    the meta object for data type 'List'.
  See Also:
    `List`

### getQueryFactory

    QueryFactory getQueryFactory()

  Deprecated.
  Returns the factory that creates the instances of the model.

  Returns:
    the factory that creates the instances of the model.

Copyright 2002, 2007 IBM Corporation and others. All Rights Reserved.